> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NVD Enrichment Data for CVEs

> Get NVD Enrichment Data for CVEs



## OpenAPI

````yaml get /enrichments/nvd
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /enrichments/nvd:
    get:
      tags:
        - enrichments
      summary: Get NVD Enrichment Data for CVEs
      description: Get NVD Enrichment Data for CVEs
      operationId: get_nvd_enrichment
      parameters:
        - name: cve
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cve
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset index (starting index of page)
            default: 0
            title: Offset
          description: Offset index (starting index of page)
        - name: excludeTotal
          in: query
          required: false
          schema:
            type: boolean
            description: Skips returning the total rows, total is set to null when true
            default: false
            title: Excludetotal
          description: Skips returning the total rows, total is set to null when true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OffsetPaginatedResponse_NvdResponseModel_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OffsetPaginatedResponse_NvdResponseModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/NvdResponseModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[NvdResponseModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NvdResponseModel:
      properties:
        id:
          type: string
          title: Id
          description: CVE ID
        sourceIdentifier:
          type: string
          title: Sourceidentifier
          description: Source Identifier
        published:
          type: string
          title: Published
          description: Published date
        lastModified:
          type: string
          title: Lastmodified
          description: Last modified date
        vulnStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Vulnstatus
          description: Vulnerability status
        cveTags:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveTags'
              type: array
            - type: 'null'
          title: Cvetags
          description: CVE Tags
        descriptions:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveDescription'
              type: array
            - type: 'null'
          title: Descriptions
          description: Descriptions
        metrics:
          anyOf:
            - $ref: '#/components/schemas/NvdCveMetrics'
            - type: 'null'
          description: CVSS Metrics
        weaknesses:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveWeakness'
              type: array
            - type: 'null'
          title: Weaknesses
          description: Weaknesses
        configuration:
          anyOf:
            - $ref: '#/components/schemas/NvdCveConfiguration'
            - type: 'null'
          description: Configuration
        references:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveReference'
              type: array
            - type: 'null'
          title: References
          description: References
      type: object
      required:
        - id
        - sourceIdentifier
        - published
        - lastModified
      title: Nvd
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NvdCveTags:
      properties:
        sourceIdentifier:
          type: string
          title: Sourceidentifier
          description: Source Identifier
        tags:
          items:
            type: string
          type: array
          title: Tags
          description: Tags
      type: object
      required:
        - sourceIdentifier
        - tags
      title: NvdCveTags
    NvdCveDescription:
      properties:
        lang:
          type: string
          title: Lang
          description: Description Language
        value:
          type: string
          title: Value
          description: Description
      type: object
      required:
        - lang
        - value
      title: NvdCveDescription
    NvdCveMetrics:
      properties:
        cvssMetricV2:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveCvssMetricV2'
              type: array
            - type: 'null'
          title: Cvssmetricv2
          description: CVSS Metric V2
        cvssMetricV31:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveCvssMetricV31'
              type: array
            - type: 'null'
          title: Cvssmetricv31
          description: CVSS Metric V3.1
      type: object
      required:
        - cvssMetricV2
        - cvssMetricV31
      title: NvdCveMetrics
    NvdCveWeakness:
      properties:
        source:
          type: string
          title: Source
          description: Source
        type:
          type: string
          title: Type
          description: Type
        description:
          anyOf:
            - items:
                $ref: '#/components/schemas/NvdCveDescription'
              type: array
            - type: 'null'
          title: Description
          description: CWE Descriptions
      type: object
      required:
        - source
        - type
        - description
      title: NvdCveWeakness
    NvdCveConfiguration:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/NvdCveConfigNode'
          type: array
          title: Nodes
          description: Configuration Nodes
      type: object
      required:
        - nodes
      title: NvdCveConfiguration
    NvdCveReference:
      properties:
        url:
          type: string
          title: Url
          description: URL
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: Source
      type: object
      required:
        - url
        - source
      title: NvdCveReference
    NvdCveCvssMetricV2:
      properties:
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: Source
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type
        cvssData:
          anyOf:
            - $ref: '#/components/schemas/NvdCveCvssMetricV2Data'
            - type: 'null'
          description: CVSS Data
        baseSeverity:
          anyOf:
            - type: string
            - type: 'null'
          title: Baseseverity
          description: Base Severity
        exploitabilityScore:
          anyOf:
            - type: number
            - type: 'null'
          title: Exploitabilityscore
          description: Exploitability Score
        impactScore:
          anyOf:
            - type: number
            - type: 'null'
          title: Impactscore
          description: Impact Score
        acInsufInfo:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Acinsufinfo
          description: Access Complexity Insufficient Info
        obtainAllPrivilege:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Obtainallprivilege
          description: Obtain All Privilege
        obtainUserPrivilege:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Obtainuserprivilege
          description: Obtain User Privilege
        obtainOtherPrivilege:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Obtainotherprivilege
          description: Obtain Other Privilege
        userInteractionRequired:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Userinteractionrequired
          description: User Interaction Required
      type: object
      required:
        - source
        - type
        - cvssData
        - baseSeverity
        - exploitabilityScore
        - impactScore
        - acInsufInfo
        - obtainAllPrivilege
        - obtainUserPrivilege
        - obtainOtherPrivilege
        - userInteractionRequired
      title: NvdCveCvssMetricV2
    NvdCveCvssMetricV31:
      properties:
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: Source
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type
        cvssData:
          anyOf:
            - $ref: '#/components/schemas/NvdCveCvssMetricV3Data'
            - type: 'null'
          description: CVSS Data
        exploitabilityScore:
          anyOf:
            - type: number
            - type: 'null'
          title: Exploitabilityscore
          description: Exploitability Score
        impactScore:
          anyOf:
            - type: number
            - type: 'null'
          title: Impactscore
          description: Impact Score
      type: object
      required:
        - source
        - type
        - cvssData
        - exploitabilityScore
        - impactScore
      title: NvdCveCvssMetricV31
    NvdCveConfigNode:
      properties:
        operator:
          type: string
          title: Operator
          description: Operator
        negate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Negate
          description: Negate
        cpeMatch:
          items:
            $ref: '#/components/schemas/NvdCveConfigNodeCPEMatch'
          type: array
          title: Cpematch
          description: CPE Match
      type: object
      required:
        - operator
        - negate
        - cpeMatch
      title: NvdCveConfigNode
    NvdCveCvssMetricV2Data:
      properties:
        version:
          type: string
          title: Version
          description: CVSS Version
        vectorString:
          type: string
          title: Vectorstring
          description: CVSS Vector String
        accessVector:
          type: string
          title: Accessvector
          description: CVSS Access Vector
        accessComplexity:
          type: string
          title: Accesscomplexity
          description: CVSS Access Complexity
        authentication:
          type: string
          title: Authentication
          description: CVSS Authentication
        confidentialityImpact:
          type: string
          title: Confidentialityimpact
          description: CVSS Confidentiality Impact
        integrityImpact:
          type: string
          title: Integrityimpact
          description: CVSS Integrity Impact
        availabilityImpact:
          type: string
          title: Availabilityimpact
          description: CVSS Availability Impact
        baseScore:
          type: number
          title: Basescore
          description: CVSS Base Score
      type: object
      required:
        - version
        - vectorString
        - accessVector
        - accessComplexity
        - authentication
        - confidentialityImpact
        - integrityImpact
        - availabilityImpact
        - baseScore
      title: NvdCveCvssMetricV2Data
    NvdCveCvssMetricV3Data:
      properties:
        version:
          type: string
          title: Version
          description: CVSS Version
        vectorString:
          type: string
          title: Vectorstring
          description: CVSS Vector String
        attackVector:
          type: string
          title: Attackvector
          description: CVSS Attack Vector
        attackComplexity:
          type: string
          title: Attackcomplexity
          description: CVSS Attack Complexity
        privilegesRequired:
          type: string
          title: Privilegesrequired
          description: CVSS Privileges Required
        userInteraction:
          type: string
          title: Userinteraction
          description: CVSS User Interaction
        scope:
          type: string
          title: Scope
          description: CVSS Scope
        confidentialityImpact:
          type: string
          title: Confidentialityimpact
          description: CVSS Confidentiality Impact
        integrityImpact:
          type: string
          title: Integrityimpact
          description: CVSS Integrity Impact
        availabilityImpact:
          type: string
          title: Availabilityimpact
          description: CVSS Availability Impact
        baseScore:
          type: number
          title: Basescore
          description: CVSS Base Score
        baseSeverity:
          type: string
          title: Baseseverity
          description: CVSS Base Severity
      type: object
      required:
        - version
        - vectorString
        - attackVector
        - attackComplexity
        - privilegesRequired
        - userInteraction
        - scope
        - confidentialityImpact
        - integrityImpact
        - availabilityImpact
        - baseScore
        - baseSeverity
      title: NvdCveCvssMetricV3Data
    NvdCveConfigNodeCPEMatch:
      properties:
        vulnerable:
          type: boolean
          title: Vulnerable
          description: Vulnerable
        criteria:
          type: string
          title: Criteria
          description: Criteria
        matchCriteriaId:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchcriteriaid
          description: Match Criteria ID
      type: object
      required:
        - vulnerable
        - criteria
        - matchCriteriaId
      title: NvdCveConfigNodeCPEMatch

````